Main Page Modules Data Structures File List Data Fields Globals Related Pages

# sigtbl_s Struct Reference

## Data Fields
int | signum
int | active
sigaction | act
sigaction | oact

## Field Documentation

struct sigaction sigtbl_s::act

| Definition at line 634 of file rpmdb.c. Referenced by enableSignals.

int sigtbl_s::active

| Definition at line 633 of file rpmdb.c. Referenced by blockSignals, disableSignals, enableSignals, handler, and rpmdbCheckSignals.

struct sigaction sigtbl_s::oact

| Definition at line 635 of file rpmdb.c. Referenced by disableSignals, and enableSignals.

int sigtbl_s::signum

| Definition at line 632 of file rpmdb.c. Referenced by blockSignals, disableSignals, enableSignals, handler, and rpmdbCheckSignals.

The documentation for this struct was generated from the following file:

- rpmdb/rpmdb.c